<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Exception/LogCantBeWrite.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_0110e4e7c5f9771c79c9be9d0e08a8ab.html">Exception</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">LogCantBeWrite.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_log_cant_be_write_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span> <span class="comment">// or #include &lt;exception&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;..\Log\Log.hpp&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>He_Arc::RPG</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html">   34</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html">Ex_LogCantBeWrite</a> : <span class="keyword">public</span> exception</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">private</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> *m_unwrittenLog;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="keywordtype">string</span> m_msg;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html">Ex_LogCantBeWrite</a>(<a class="code" href="class_he___arc_1_1_r_p_g_1_1_log.html">Log</a> *unwrittenLog, <span class="keywordtype">string</span> msg = <span class="stringliteral">&quot;The log can&#39;t be write&quot;</span>) noexcept : m_unwrittenLog(unwrittenLog), m_msg(msg) {}</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html">Ex_LogCantBeWrite</a>() { <span class="keyword">delete</span> m_unwrittenLog; }</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keyword">const</span> <span class="keywordtype">char</span> *what() <span class="keyword">const</span> noexcept <span class="keyword">override</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            <span class="keywordtype">string</span> msg = m_msg + <span class="stringliteral">&quot;\n&quot;</span> + m_unwrittenLog-&gt;<a class="code" href="class_he___arc_1_1_r_p_g_1_1_log.html#af06cfe8f6b2a6a72821e09e2558892aa">ToString</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            <span class="keywordflow">return</span> msg.c_str(); <span class="comment">//c_str : string -&gt; char*</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        }</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    };</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;} <span class="comment">// namespace He_Arc::RPG</span></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html">He_Arc::RPG::Ex_LogCantBeWrite</a></div><div class="ttdoc">This exception is intended to be rise when the the logs can be written in the specified file The reas...</div><div class="ttdef"><b>Definition:</b> LogCantBeWrite.hpp:35</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log.html">He_Arc::RPG::Log</a></div><div class="ttdoc">This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the m...</div><div class="ttdef"><b>Definition:</b> Log.hpp:36</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_html_af06cfe8f6b2a6a72821e09e2558892aa"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log.html#af06cfe8f6b2a6a72821e09e2558892aa">He_Arc::RPG::Log::ToString</a></div><div class="ttdeci">string ToString()</div><div class="ttdoc">Get an string which one contains each information of the log.</div><div class="ttdef"><b>Definition:</b> Log.cpp:62</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
